apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "sangbutsarakum, patai" <sangb...@cob.sjsu.edu>
Subject apr-util with Openldap 2.3.27 compilation error
Date Fri, 17 Nov 2006 08:08:45 GMT
<HTML dir=ltr><HEAD>
<META http-equiv=Content-Type content="text/html; charset=unicode">
<META content="MSHTML 6.00.2900.2722" name=GENERATOR></HEAD>
<BODY>
<P><FONT size=2>Dear gurus,<BR><BR>I have trying tens hours to make
apr-util has ldap support, but no luck.<BR>I tried 0.9.12, 1.2.7, and finally subversion
(by svn co <A href="https://cobmail-main.cob.sjsu.edu/exchweb/bin/redir.asp?URL=http://"
target=_blank>http://</A> .... command)<BR><BR>here is my snipped output<BR><BR>[patrick@zeus
apr-util]$ ./configure --enable-layout=RedHat --with-ldap-inclub=/usr/lib --with-apr=/usr/bin
--with-ldap=libldap-2.3.so.0.2.18<BR>checking build system type... i686-pc-linux-gnu<BR>checking
host system type... i686-pc-linux-gnu<BR>checking target system type... i686-pc-linux-gnu<BR>checking
for a BSD-compatible install... /usr/bin/install -c<BR>checking for working mkdir -p...
yes<BR>APR-util Version: 1.3.0<BR>checking for chosen layout... RedHat<BR>Applying
apr-util hints file rules for i686-pc-linux-gnu<BR>checking for APR... yes<BR>&nbsp;
setting CC to "gcc"<BR>&nbsp; setting CPP to "gcc -E"<BR>&nbsp; setting
CFLAGS to " -g -O2 -pthread"<BR>&nbsp; setting CPPFLAGS to " -DLINUX=2 -D_REENTRANT
-D_GNU_SOURCE -D_LARGEFILE64_SOURCE"<BR>checking for gcc... gcc<BR>checking for
C compiler default output file name... a.out<BR>checking whether the C compiler works...
yes<BR>checking whether we are cross compiling... no<BR>checking for suffix of
executables...<BR>checking for suffix of object files... o<BR>checking whether
we are using the GNU C compiler... yes<BR>checking whether gcc accepts -g... yes<BR>checking
for gcc option to accept ANSI C... none needed<BR>checking how to run the C preprocessor...
gcc -E<BR>checking for egrep... grep -E<BR>checking for ANSI C header files...
yes<BR>checking for sys/types.h... yes<BR>checking for sys/stat.h... yes<BR>checking
for stdlib.h... yes<BR>checking for string.h... yes<BR>checking for memory.h...
yes<BR>checking for strings.h... yes<BR>checking for inttypes.h... yes<BR>checking
for stdint.h... yes<BR>checking for unistd.h... yes<BR>checking for ldap support...<BR>./configure:
line 10612: unset: `ac_cv_lib_libldap-2.3.so.0.2.15_ldap_init': not a valid identifier<BR>./configure:
line 10613: unset: `ac_cv_lib_libldap-2.3.so.0.2.15___ldap_init': not a valid identifier<BR>checking
for ldap_init in -llibldap-2.3.so.0.2.15... no<BR>./configure: line 11216: unset: `ac_cv_lib_libldap-2.3.so.0.2.15_ldap_init':
not a valid identifier<BR>./configure: line 11217: unset: `ac_cv_lib_libldap-2.3.so.0.2.15___ldap_init':
not a valid identifier<BR>checking for ldap_init in -llibldap-2.3.so.0.2.15... (cached)
no<BR>./configure: line 11820: unset: `ac_cv_lib_libldap-2.3.so.0.2.15_ldap_init': not
a valid identifier<BR>./configure: line 11821: unset: `ac_cv_lib_libldap-2.3.so.0.2.15___ldap_init':
not a valid identifier<BR>checking for ldap_init in -llibldap-2.3.so.0.2.15... (cached)
no<BR>./configure: line 12424: unset: `ac_cv_lib_libldap-2.3.so.0.2.15_ldap_init': not
a valid identifier<BR>./configure: line 12425: unset: `ac_cv_lib_libldap-2.3.so.0.2.15___ldap_init':
not a valid identifier<BR>checking for ldap_init in -llibldap-2.3.so.0.2.15... (cached)
no<BR>configure: error: could not find an LDAP library<BR><BR><BR>Really
surprised libldap is there<BR><BR>[root@zeus ~]# ls -al /usr/lib |grep libldap-2.3.so*<BR>lrwxrwxrwx&nbsp;&nbsp;&nbsp;
1 root root&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
21 Nov 16 01:18 libldap-2.3.so.0 -&gt; libldap-2.3.so.0.2.18<BR>-rw-r--r--&nbsp;&nbsp;&nbsp;
1 root root&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 685869 Nov 16 01:18 libldap-2.3.so.0.2.18<BR>lrwxrwxrwx&nbsp;&nbsp;&nbsp;
1 root root&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
21 Nov 16 01:18 libldap.so -&gt; libldap-2.3.so.0.2.18<BR><BR>and in subversion
source code include/apr_ldap.h.in was<BR>there since it has been checked out<BR><BR>[root@zeus
include]# grep DEPRECATED apr_ldap.h.in<BR>&nbsp;* The following #defines are DEPRECATED
and should not be used for<BR>#if APR_HAS_OPENLDAP_LDAPSDK &amp;&amp; !defined(LDAP_DEPRECATED)<BR>#define
LDAP_DEPRECATED 1<BR><BR>pls, pls suggest<BR><BR>Pat.</FONT>
</P></BODY></HTML>

Mime
View raw message